post/v1/oauth2/registerCreate an OAuth2 client.
curl -X POST "https://api.outception.com/v1/oauth2/register" \
-H "Authorization: Bearer $OUTCEPTION_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "redirect_uris": [ "string" ], "token_endpoint_auth_method": "client_secret_post", "grant_types": [ "authorization_code", "refresh_token" ], "response_types": [ "code" ], "scope": "openid profile email user:read user:write organizations:read organizations:write members:read members:write organization_access_tokens:read organization_access_tokens:write", "client_name": "string", "client_uri": "string", "logo_uri": "string", "tos_uri": "string", "policy_uri": "string", "default_sub_type": "user" }'Body
redirect_urisarray<string>
required
token_endpoint_auth_methodenum
grant_typesarray<enum>
response_typesarray<string>
scopestring
client_namestring
required
client_uristring | null
logo_uristring | null
tos_uristring | null
policy_uristring | null
default_sub_typeenum
Response · 200
Successful Response
Errors
422Validation Error